package com.backendsys.modules.upload.service;

import com.backendsys.modules.upload.entity.SysFile;
import com.backendsys.modules.upload.entity.SysFileCategory;
import com.backendsys.utils.response.PageEntity;

import java.util.List;
import java.util.Map;

public interface SysFileCategoryService {

    // 获取文件分类列表
    Map<String, Object> selectUploadFileCategoryList(SysFileCategory sysFileCategory);
    // 创建文件分类
    Map<String, Object> insertFileCategory(SysFileCategory sysFileCategory);

//    // 创建文件分类(批量)
//    Map<String, Object> insertFileCategoryBatch(List<SysFileCategory> sysFileCategory);

    // 编辑文件分类
    Map<String, Object> updateFileCategory(SysFileCategory sysFileCategory);
    // 编辑文件分类(批量)(先删后增)
    Map<String, Object> updateFileCategoryBatch(List<SysFileCategory> sysFileCategoryList);
    // 删除文件分类
    Map<String, Object> deleteFileCategory(SysFileCategory sysFileCategory);

}
